Subject: bug#5464: 23.1.91; Mouse pointer shape in menus on Windows 7

From: Stefan Kangas <[email-masked]>
Date: Fri, 11 Oct 2019 01:31:37 +0200

"Francis Wright" <[email-masked]> writes:

> Click on a menu. The mouse pointer shape should be the default arrow but
> often it is the I shape that I expect when the mouse pointer is over
> editable text. Occasionally it is the pointing hand that I expect when
> the mouse pointer is over a hyperlink.
>
> I think the following recipe will provoke this bug reliably. Start emacs with
> the -Q option. Drag the window to the top of the screen so that it maximises,
> then drag it down again to that it reverts to its previous size. Now open a
> menu; the mouse pointer seems to appear reliably as the I shape. This is on a
> new Compaq laptop running Windows 7. I can't get Emacs
> 23.1.1 to show the same bug on my previous laptop running Windows XP.
>
> In GNU Emacs 23.1.91.1 (i386-mingw-nt6.1.7600)
> of 2010-01-03 on PRETEST
> Windowing system distributor `Microsoft Corp.', version 6.1.7600
> configured using `configure --with-gcc (3.4)'

That was over 9 years ago.  Are you still seeing this in a modern
version of Emacs?

Best regards,
Stefan Kangas